| Home | Libraries | People | FAQ | More

#### http::chunk_body

A chunk.

##### Synopsis

Defined in header `<boost/beast/http/chunk_encode.hpp>`

    template<
        class ConstBufferSequence>
    class chunk_body

##### Types

Name | Description
--- | ---
const_iterator | Required for ConstBufferSequence
value_type | Required for ConstBufferSequence

##### Member Functions

Name | Description
--- | ---
begin | Required for ConstBufferSequence
chunk_body [constructor] | Constructor.
end | Required for ConstBufferSequence

##### Description

This implements a ConstBufferSequence representing a chunk. The serialized format is as follows:

    chunk           = chunk-size [ chunk-ext ] CRLF chunk-data CRLF
    chunk-size      = 1*HEXDIG
    chunk-ext       = *( ";" chunk-ext-name [ "=" chunk-ext-val ] )
    chunk-ext-name  = token
    chunk-ext-val   = token / quoted- string
    chunk-data      = 1*OCTET ; a sequence of chunk-size octets

The chunk extension is optional.

To use this class, pass an instance of it to a stream algorithm as the buffer sequence.

##### See Also

https://tools.ietf.org/html/rfc7230#section-4.1